BSDPORTAL.RU

На этом сайте обсуждаются вопросы использования ОС FreeBSD
 Портал  •  Статьи  •  Форум  •  Wiki  •  Поиск  •  FAQ  •  Обои  •   Официальная документация  •  Новые темы 

Часовой пояс: UTC + 4 часа




Начать новую тему Ответить на тему  [ Сообщений: 7 ] 
Автор Сообщение
 Заголовок сообщения: Вопросы о DE
СообщениеДобавлено: Ср 05 фев, 2020 4:18 pm 
Не в сети

Зарегистрирован: Пн 23 дек, 2019 5:11 pm
Сообщения: 15
Здравствуйте. Хотелось бы уточнить для начала вопрос о работе XFCE в FreeBSD, есть ли проблемы с установкой тем, т.к требуются движки для их работы или все с этим в порядке? Темы каждый день менять я конечно не буду, но изначальную настройку сделать бы хотелось, а базовые не устраивают.

И еще вопрос, про KDE Plazma. Нашел вариант минимальной установки в Debian, получится ли таким образом благополучно работать в ней на FreeBSD?
Код:
install kdm plasma-desktop kde-window-manager dolphin konsole  udisks upower kde-workspace

При условии конечно, что все это есть отдельно в портах. Может был у кого-то опыт. Не хотелось бы ставить 4гб всего, а потом пытаться отключить все лишнее.

И еще вопрос касательно Nvidia драйверов, они в Unix более тонко разбиты по железкам? Т.е мне надо искать какую-то конкретную версию, исходя из видеокарты?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: Вопросы о DE
СообщениеДобавлено: Ср 05 фев, 2020 5:40 pm 
Не в сети

Зарегистрирован: Пт 03 сен, 2004 1:26 pm
Сообщения: 2439
UnixNoob писал(а):
Здравствуйте. Хотелось бы уточнить для начала вопрос о работе XFCE в FreeBSD, есть ли проблемы с установкой тем, т.к требуются движки для их работы или все с этим в порядке? Темы каждый день менять я конечно не буду, но изначальную настройку сделать бы хотелось, а базовые не устраивают.


в xBSD обычно дается база, остальное, администратор или пользователь, настраивает под себя сам.

# pkg search xfce
...
xfce-4.14 meta-port for the Xfce Desktop Environment
...

пакет собран из мета порта, by default потянет:
Код:
 pkg install xfce
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
The following 78 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        xfce: 4.14
        xfce4-terminal: 0.8.9.1
        xfce4-conf: 4.14.1
        libxfce4util: 4.14.0
        libIDL: 0.8.14_4
        gconf2: 3.2.6_5
        ORBit2: 2.14.19_2
        libxfce4menu: 4.14.1
        vte3: 0.52.2_3
        xfce4-wm: 4.14.0_1
        libXpresent: 1.0.0
        libwnck3: 3.24.1
        xfce4-session: 4.14.1
        libexo: 0.12.11
        upower: 0.99.11
        consolekit2: 1.2.1_1
        xfce4-panel: 4.14.3
        garcon: 0.6.4_2
        xfce4-desktop: 4.14.2
        thunar: 1.8.12
        libnotify: 0.7.8
        gvfs: 1.30.4_3
        libcdio-paranoia: 10.2+2.0.1
        libcdio: 2.1.0
        libcddb: 1.3.2_4
        hal: 0.5.14_34
        policykit: 0.9_10
        libvolume_id: 0.81.1
        gnome-mount: 0.8_13
        policykit-gnome: 0.9.2_9
        libgnome-keyring: 3.12.0_2
        fusefs-libs: 2.9.9_1
        gcr: 3.28.0
        gnome-online-accounts: 3.28.0_2
        webkit2-gtk3: 2.26.3
        wpebackend-fdo: 1.4.0
        libwpe: 1.4.0.1
        hyphen: 2.8.8
        enchant2: 2.2.3_4
        hunspell: 1.7.0_2
        geoclue: 2.5.5
        libsoup: 2.62.3
        glib-networking: 2.56.1_2
        libproxy: 0.4.15
        gsettings-desktop-schemas: 3.28.1
        json-glib: 1.4.4
        gstreamer1-plugins-bad: 1.16.2
        gstreamer1-plugins: 1.16.2
        gstreamer1: 1.16.2
        iso-codes: 4.2
        orc: 0.4.31
        openjpeg: 2.3.1
        gstreamer1-plugins-gl: 1.16.2
        libGLU: 9.0.1
        graphene: 1.10.0
        py37-gobject3: 3.28.3
        py37-cairo: 1.18.1_1
        pygobject3-common: 3.28.3
        woff2: 1.0.2_4
        brotli: 1.0.7_2,1
        rest: 0.7.93
        libsoup-gnome: 2.62.3
        libgphoto2: 2.5.23
        libgd: 2.2.5_2,1
        libgdata: 0.17.9
        liboauth: 1.0.3_4
        xfce4-tumbler: 0.2.8_1
        poppler-glib: 0.84.0
        poppler-data: 0.4.9_2
        poppler: 0.84.0
        greybird-theme: 3.22.11
        gtk-murrine-engine: 0.98.2_5
        xfce4-settings: 4.14.2
        libxklavier: 5.3_1,1
        xfce4-appfinder: 4.14.0
        mousepad: 0.4.2_1
        gtksourceview3: 3.24.8_3
        xfce4-notifyd: 0.4.4_1

Number of packages to be installed: 78

The process will require 254 MiB more space.
44 MiB to be downloaded.

Proceed with this action? [y/N]:


из верхнего видно что потянет:
Код:
        xfce4-terminal: 0.8.9.1
        xfce4-conf: 4.14.1
        libxfce4util: 4.14.0
        libxfce4menu: 4.14.1
        xfce4-wm: 4.14.0_1
        xfce4-session: 4.14.1
        xfce4-panel: 4.14.3
        xfce4-desktop: 4.14.2
        xfce4-tumbler: 0.2.8_1
        xfce4-settings: 4.14.2
        xfce4-appfinder: 4.14.0
        xfce4-notifyd: 0.4.4_1

все остальное, доставляете и настраиваете сами.

Цитата:
И еще вопрос, про KDE Plazma. Нашел вариант минимальной установки в Debian, получится ли таким образом благополучно работать в ней на FreeBSD?
Код:
install kdm plasma-desktop kde-window-manager dolphin konsole  udisks upower kde-workspace

При условии конечно, что все это есть отдельно в портах. Может был у кого-то опыт. Не хотелось бы ставить 4гб всего, а потом пытаться отключить все лишнее.

аналогично и kde и другие DE:
Код:
# pkg search kde | less

Цитата:
И еще вопрос касательно Nvidia драйверов, они в Unix более тонко разбиты по железкам? Т.е мне надо искать какую-то конкретную версию, исходя из видеокарты?

Да, как и для всех остальных Unix-like OS, для которых Nvidia выпускает проприетарные драйвера.
Код:
 pkg search ^nvidia-driver
nvidia-driver-440.31           NVidia graphics card binary drivers for hardware OpenGL rendering
nvidia-driver-304-304.137_5    NVidia graphics card binary drivers for hardware OpenGL rendering
nvidia-driver-340-340.107_5    NVidia graphics card binary drivers for hardware OpenGL rendering
nvidia-driver-390-390.129      NVidia graphics card binary drivers for hardware OpenGL rendering

для каждой версии драйвера есть README или описание на nvidia.com - какой драйвер, какие
чипсеты поддерживает.
В большинстве Linux'ов, by default udev подгружает nouveau, для Debian/Ubuntu - это точно.
Для установки проприетарных драйверов, в Linux необходимо подключать non-free репозиторий.

В RH-Based, может потребоваться сборка модуля и даже правка ядра.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: Вопросы о DE
СообщениеДобавлено: Ср 05 фев, 2020 6:08 pm 
Не в сети

Зарегистрирован: Пн 23 дек, 2019 5:11 pm
Сообщения: 15
lavr писал(а):
в xBSD обычно дается база, остальное, администратор или пользователь, настраивает под себя сам.

# pkg search xfce
...
xfce-4.14 meta-port for the Xfce Desktop Environment
...
пакет собран из мета порта
из верхнего видно что потянет:
Код:
        xfce4-terminal: 0.8.9.1
        xfce4-conf: 4.14.1
        libxfce4util: 4.14.0
        libxfce4menu: 4.14.1
        xfce4-wm: 4.14.0_1
        xfce4-session: 4.14.1
        xfce4-panel: 4.14.3
        xfce4-desktop: 4.14.2
        xfce4-tumbler: 0.2.8_1
        xfce4-settings: 4.14.2
        xfce4-appfinder: 4.14.0
        xfce4-notifyd: 0.4.4_1

все остальное, доставляете и настраиваете сами.

Для общего развития, а чем мета-порт отличается от не мета? То что все зависимости и софт в одном пакете?
То что доставлять самому я понимаю, просто вопрос существует ли это в портах. Надо значит брать тему с указанными зависимостями и проверять самому,понял.
Я так понял, собрав через порты я получу то же, что и через пакет? Как-то сократить установку не выйдет, если я правильно логику понял :D


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: Вопросы о DE
СообщениеДобавлено: Ср 05 фев, 2020 8:53 pm 
Не в сети

Зарегистрирован: Пт 03 сен, 2004 1:26 pm
Сообщения: 2439
UnixNoob писал(а):
lavr писал(а):
в xBSD обычно дается база, остальное, администратор или пользователь, настраивает под себя сам.

# pkg search xfce
...
xfce-4.14 meta-port for the Xfce Desktop Environment
...
пакет собран из мета порта
из верхнего видно что потянет:
Код:
        xfce4-terminal: 0.8.9.1
        xfce4-conf: 4.14.1
        libxfce4util: 4.14.0
        libxfce4menu: 4.14.1
        xfce4-wm: 4.14.0_1
        xfce4-session: 4.14.1
        xfce4-panel: 4.14.3
        xfce4-desktop: 4.14.2
        xfce4-tumbler: 0.2.8_1
        xfce4-settings: 4.14.2
        xfce4-appfinder: 4.14.0
        xfce4-notifyd: 0.4.4_1

все остальное, доставляете и настраиваете сами.

Для общего развития, а чем мета-порт отличается от не мета? То что все зависимости и софт в одном пакете?

это один порт, который позволяет собрать и установить несколько портов за один раз.
Цитата:
То что доставлять самому я понимаю, просто вопрос существует ли это в портах. Надо значит брать тему с указанными зависимостями и проверять самому,понял.

Код:
# man ports

в man'е описано как использовать search, например:
Код:
# make -C /usr/ports/ search key=xfce display=name,path,info keylim=1 | less
...
Port:   xfce4-wm-themes-4.10.0_1
Path:   /usr/ports/misc/xfce4-wm-themes
Info:   Additional themes for xfwm4
...
Port:   clearlooks-phenix-theme-7.0.1
Path:   /usr/ports/x11-themes/clearlooks-phenix-theme
Info:   Gtk3 port of Clearlooks theme for the Xfce Desktop

Port:   greybird-theme-3.22.11
Path:   /usr/ports/x11-themes/greybird-theme
Info:   Gtk and xfwm4 themes for the Xfce Desktop

Port:   gtk-xfce-engine-3.2.0
Path:   /usr/ports/x11-themes/gtk-xfce-engine
Info:   Xfce GTK2 theme engine
...

по полю Info - понятно что за порт и для чего, более подробно можно посмотреть
в дереве портов, конкретно тот или иной порт.
Если чего-то нет в портах, значит нет и в пакетах, значит нужно собирать
и устанавливать самостоятельно, но не испортив систему и помнить про это.
Или написать свой порт.
Цитата:
Я так понял, собрав через порты я получу то же, что и через пакет?

не совсем:
- дерево портов, это набор директорий с Makefile'ами, патчами и спец файлами, для сборки
некого software project из исходных кодов.
- большинство портов имеют зависимости, одни зависимости строго необходимы, другие
можно использовать или нет, при сборке портов можно задавать конфигурацию КАК
собирать: использовать дополнительные возможности или нет
- итого, любой порт имеет так называемый default'ный конфиг сборки

Репозиторий пакетов - это уже собранные порты, готовые для установки и
собраны они с default'ными опциями.

Процесс сборки - штука длительная, но если кому-то нужнен пакет с опцимя
сборки отличными от default, придется собирать самостоятельно.

Цитата:
Как-то сократить установку не выйдет, если я правильно логику понял :D


Установку чего? В пакетах нечего сокращать, можно установить только то что есть.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: Вопросы о DE
СообщениеДобавлено: Чт 06 фев, 2020 12:29 am 
Не в сети

Зарегистрирован: Пн 23 дек, 2019 5:11 pm
Сообщения: 15
lavr писал(а):

Цитата:
Как-то сократить установку не выйдет, если я правильно логику понял :D


Установку чего? В пакетах нечего сокращать, можно установить только то что есть.


Ну мне хочется чтобы в DE все было чуть более прозрачно что-ли. Что в Plazma, что в XFCE изначально ставится много, чем я и пользоваться вероятно не буду.
То что из готового пакета я ничего не вырежу я понял. Я просто хотел как в моем изначальном сообщении установить пару компонентов KDE, а потом доставлять по мере необходимости, но я забыл что там зависимости автоматом тянутся и их не брали в расчет. Я думал может кто ставил какой-то минимальный набор указанных DE, поэтому и спросил.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: Вопросы о DE
СообщениеДобавлено: Чт 06 фев, 2020 2:40 am 
Не в сети

Зарегистрирован: Пт 03 сен, 2004 1:26 pm
Сообщения: 2439
UnixNoob писал(а):
lavr писал(а):

Цитата:
Как-то сократить установку не выйдет, если я правильно логику понял :D


Установку чего? В пакетах нечего сокращать, можно установить только то что есть.


Ну мне хочется чтобы в DE все было чуть более прозрачно что-ли. Что в Plazma, что в XFCE изначально ставится много, чем я и пользоваться вероятно не буду.
То что из готового пакета я ничего не вырежу я понял. Я просто хотел как в моем изначальном сообщении установить пару компонентов KDE, а потом доставлять по мере необходимости, но я забыл что там зависимости автоматом тянутся и их не брали в расчет. Я думал может кто ставил какой-то минимальный набор указанных DE, поэтому и спросил.


Тут варианты такие:
1) ставить мета-пакет и удалять отдельные xfce пакеты (не путать с зависимостями для xfce)
2) отказаться от мета-пакета и ставить отдельные пакеты xfce
3 собирать самостоятельно из портов только то что нужно, получится собственный
набор xfce с необходимым обвесом: пройдя сборку из портов, станет ясно на будущее,
как все это сделать посредством п.2)

Касательно KDE, все расписано:
https://community.kde.org/FreeBSD/Setup


Вернуться к началу
 Профиль  
 
 Заголовок сообщения: Re: Вопросы о DE
СообщениеДобавлено: Пт 07 фев, 2020 12:32 am 
Не в сети

Зарегистрирован: Пн 23 дек, 2019 5:11 pm
Сообщения: 15
lavr писал(а):

Тут варианты такие:
1) ставить мета-пакет и удалять отдельные xfce пакеты (не путать с зависимостями для xfce)
2) отказаться от мета-пакета и ставить отдельные пакеты xfce
3 собирать самостоятельно из портов только то что нужно, получится собственный
набор xfce с необходимым обвесом: пройдя сборку из портов, станет ясно на будущее,
как все это сделать посредством п.2)

Касательно KDE, все расписано:
https://community.kde.org/FreeBSD/Setup


Спасибо, теперь более-менее понятно, дело за практикой.


Вернуться к началу
 Профиль  
 
Показать сообщения за:  Поле сортировки  
Начать новую тему Ответить на тему  [ Сообщений: 7 ] 

Часовой пояс: UTC + 4 часа


Кто сейчас на конференции

Зарегистрированные пользователи: нет зарегистрированных пользователей


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Создано на основе phpBB® Forum Software © phpBB Group
Русская поддержка phpBB
Яндекс.Метрика